/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
import { fromEntries } from "../utils/dist/fromEntries.js";
//#region src/runtime/modalConfig.ts
const modalSizes = ["default"];
const configToModalConfigContext = ({ modal }) => {
	return {
		defaultSize: "default",
		defaultVariant: "default",
		animationDuration: {
			in: 400,
			out: 250
		},
		animationEasing: {
			in: "cubic-bezier(0.30, 0.40, 0.20, 1.00)",
			out: "cubic-bezier(0.60, 0.00, 0.70, 0.60)"
		},
		gutter: fromEntries(modalSizes.map((s) => [s, modal.variables[`size/${s}/scrim`].spacing.rest.value]))
	};
};
//#endregion
export { configToModalConfigContext };
